Bug 1638849 - [Proposal] Backporting fix for QTBUG-66036 - QTextLayout draw() rendering issues with "some" font sizes
Summary: [Proposal] Backporting fix for QTBUG-66036 - QTextLayout draw() rendering iss...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 15:20 UTC by Romain DEP.
Modified: 2018-11-03 00:01 UTC (History)
5 users (show)

Fixed In Version: qt5-qtbase-5.11.1-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-03 00:01:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-66036 None None None 2018-10-12 15:20:16 UTC

Description Romain DEP. 2018-10-12 15:20:16 UTC
Description of problem:

Hi-DPI set-ups with fractional scaling seems to be very vulnerable to this rendering issue, which appears to have a trivial fix merged in Qt 5.12 but not in 5.11 (current).

This is a proposal to backport the fix against the current stable version of Qt.

Comment 1 Than Ngo 2018-10-24 09:47:06 UTC
(In reply to Romain DEP. from comment #0)
> Description of problem:
> 
> Hi-DPI set-ups with fractional scaling seems to be very vulnerable to this
> rendering issue, which appears to have a trivial fix merged in Qt 5.12 but
> not in 5.11 (current).
> 
> This is a proposal to backport the fix against the current stable version of
> Qt.

Romain, could you please attach the link to the fix merged in Qt 5.12?
Thanks

Comment 2 Romain DEP. 2018-10-24 17:17:58 UTC
Hi Ngo,

The ticket points to the following review:
https://codereview.qt-project.org/#/c/219804/

hope this gives enough context? Let me know!
Bests,

Comment 3 Than Ngo 2018-10-25 09:28:08 UTC
i backported the fix and commited into master branch. The fix will be merged to f29 branch later. Thanks!

Comment 4 Fedora Update System 2018-10-25 19:54:10 UTC
qt5-qtbase-5.11.1-9.fc29 qt5-qtquickcontrols2-5.11.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fdfed503a

Comment 5 Fedora Update System 2018-10-31 18:48:48 UTC
qt5-qtbase-5.11.1-9.fc29, qt5-qtquickcontrols2-5.11.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fdfed503a

Comment 6 Fedora Update System 2018-11-03 00:01:15 UTC
qt5-qtbase-5.11.1-9.fc29, qt5-qtquickcontrols2-5.11.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.